| OpendTect 8.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Private Member Functions | Static Private Member Functions | Private Attributes | Friends | List of all members
PosInfo::Survey2D Class Reference
Basic

Repository for 2D line geometries. More...

`#include <posinfo2dsurv.h>`

Inheritance diagram for PosInfo::Survey2D:
[legend]

## Public Types
typedef Line2DKey::IdxType | IdxType

## Public Member Functions
| ~Survey2D ()
const char * | curLineSet () const
IdxType | curLineSetID () const
bool | getGeometry (const Line2DKey &, Line2DData &) const
| thread safe
bool | getGeometry (IdxType lid, Line2DData &) const
bool | getGeometry (Line2DData &) const
| using lineName()
Line2DKey | getLine2DKey (const char *lsnm, const char *linenm) const
const char * | getLineFileNm (const char *lsnm, const char *lnm) const
IdxType | getLineID (const char *) const
void | getLineIDs (TypeSet< IdxType > &, IdxType lsid) const
const char * | getLineName (IdxType lineid) const
void | getLines (BufferStringSet &, const char *lsnm=0) const
void | getLines (BufferStringSet &, IdxType lsid) const
const char * | getLineSet (IdxType lsid) const
IdxType | getLineSetID (const char *) const
void | getLineSets (BufferStringSet &nms) const
const char * | getLSFileNm (const char *lsnm) const
bool | hasLine (const char *lnm, const char *lsnm=0) const
bool | hasLine (IdxType lineid, IdxType lsid=-1) const
bool | hasLineSet (const char *) const
bool | hasLineSet (IdxType lsid) const
bool | isEmpty () const
bool | readDistBetwTrcsStats (const char *linemn, float &max, float &median) const
void | setCurLineSet (const char *) const
void | setCurLineSet (IdxType lsid) const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static void | initClass ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Protected Member Functions
void | updateMaxID (IdxType, IOPar &)

## Private Member Functions
| Survey2D ()
void | getIDs (const IOPar &, TypeSet< IdxType > &) const
BufferString | getIdxTimeStamp (const char *lsnm=0) const
void | getKeys (const IOPar &, BufferStringSet &) const
bool | isIdxFileNew (const char *lsnm=0) const
void | readIdxFiles ()
void | writeIdxFile (bool) const

## Static Private Member Functions
static void | readIdxFile (const char *, IOPar &)

## Private Attributes
FilePath & | basefp_
BufferString | curlstimestr_
IOPar & | lineindex_
Threads::Lock | lock_
FilePath & | lsfp_
IOPar & | lsindex_
BufferString | lsnm_

## Friends
const Survey2D & | S2DPOS ()
| Your read-access to the 2D line geometry database.

## Detailed Description

Repository for 2D line geometries.

<>

## Member Typedef Documentation

## ◆ IdxType

typedef Line2DKey::IdxType PosInfo::Survey2D::IdxType

## Constructor & Destructor Documentation

## ◆ Survey2D()

PosInfo::Survey2D::Survey2D | ( |  | ) |
| private

## ◆ ~Survey2D()

PosInfo::Survey2D::~Survey2D | ( |  | ) |

## Member Function Documentation

## ◆ curLineSet()

const char * PosInfo::Survey2D::curLineSet | ( |  | ) | const
| inline

## ◆ curLineSetID()

IdxType PosInfo::Survey2D::curLineSetID | ( |  | ) | const

## ◆ getGeometry() [1/3]

bool PosInfo::Survey2D::getGeometry | ( | const Line2DKey & | ,
|  | Line2DData & | ) const

thread safe

## ◆ getGeometry() [2/3]

bool PosInfo::Survey2D::getGeometry | ( | IdxType | lid,
|  | Line2DData & | ) const

## ◆ getGeometry() [3/3]

bool PosInfo::Survey2D::getGeometry | ( | Line2DData & |  | ) | const

using lineName()

## ◆ getIDs()

void PosInfo::Survey2D::getIDs | ( | const IOPar & | ,
|  | TypeSet< IdxType > & | ) const
| private

## ◆ getIdxTimeStamp()

BufferString PosInfo::Survey2D::getIdxTimeStamp | ( | const char * | lsnm = 0 | ) | const
| private

## ◆ getKeys()

void PosInfo::Survey2D::getKeys | ( | const IOPar & | ,
|  | BufferStringSet & | ) const
| private

## ◆ getLine2DKey()

Line2DKey PosInfo::Survey2D::getLine2DKey | ( | const char * | lsnm,
|  | const char * | linenm ) const

## ◆ getLineFileNm()

const char * PosInfo::Survey2D::getLineFileNm | ( | const char * | lsnm,
|  | const char * | lnm ) const

## ◆ getLineID()

IdxType PosInfo::Survey2D::getLineID | ( | const char * |  | ) | const

## ◆ getLineIDs()

void PosInfo::Survey2D::getLineIDs | ( | TypeSet< IdxType > & | ,
|  | IdxType | lsid ) const

## ◆ getLineName()

const char * PosInfo::Survey2D::getLineName | ( | IdxType | lineid | ) | const

## ◆ getLines() [1/2]

void PosInfo::Survey2D::getLines | ( | BufferStringSet & | ,
|  | const char * | lsnm = 0 ) const

## ◆ getLines() [2/2]

void PosInfo::Survey2D::getLines | ( | BufferStringSet & | ,
|  | IdxType | lsid ) const

## ◆ getLineSet()

const char * PosInfo::Survey2D::getLineSet | ( | IdxType | lsid | ) | const

## ◆ getLineSetID()

IdxType PosInfo::Survey2D::getLineSetID | ( | const char * |  | ) | const

## ◆ getLineSets()

void PosInfo::Survey2D::getLineSets | ( | BufferStringSet & | nms | ) | const
| inline

## ◆ getLSFileNm()

const char * PosInfo::Survey2D::getLSFileNm | ( | const char * | lsnm | ) | const

## ◆ hasLine() [1/2]

bool PosInfo::Survey2D::hasLine | ( | const char * | lnm,
|  | const char * | lsnm = 0 ) const

## ◆ hasLine() [2/2]

bool PosInfo::Survey2D::hasLine | ( | IdxType | lineid,
|  | IdxType | lsid = -1 ) const

## ◆ hasLineSet() [1/2]

bool PosInfo::Survey2D::hasLineSet | ( | const char * |  | ) | const

## ◆ hasLineSet() [2/2]

bool PosInfo::Survey2D::hasLineSet | ( | IdxType | lsid | ) | const

## ◆ initClass()

static void PosInfo::Survey2D::initClass | ( |  | ) |
| static

## ◆ isEmpty()

bool PosInfo::Survey2D::isEmpty | ( |  | ) | const
| inline

## ◆ isIdxFileNew()

bool PosInfo::Survey2D::isIdxFileNew | ( | const char * | lsnm = 0 | ) | const
| private

## ◆ readDistBetwTrcsStats()

bool PosInfo::Survey2D::readDistBetwTrcsStats | ( | const char * | linemn,
|  | float & | max,
|  | float & | median ) const

## ◆ readIdxFile()

static void PosInfo::Survey2D::readIdxFile | ( | const char * | ,
|  | IOPar & | )
| static private

## ◆ readIdxFiles()

void PosInfo::Survey2D::readIdxFiles | ( |  | ) |
| private

## ◆ setCurLineSet() [1/2]

void PosInfo::Survey2D::setCurLineSet | ( | const char * |  | ) | const

## ◆ setCurLineSet() [2/2]

void PosInfo::Survey2D::setCurLineSet | ( | IdxType | lsid | ) | const

## ◆ updateMaxID()

void PosInfo::Survey2D::updateMaxID | ( | IdxType | ,
|  | IOPar & | )
| protected

## ◆ writeIdxFile()

void PosInfo::Survey2D::writeIdxFile | ( | bool |  | ) | const
| private

## Friends And Related Symbol Documentation

## ◆ S2DPOS

const Survey2D & S2DPOS | ( |  | ) |
| friend

Your read-access to the 2D line geometry database.

## Member Data Documentation

## ◆ basefp_

FilePath& PosInfo::Survey2D::basefp_
| private

## ◆ curlstimestr_

BufferString PosInfo::Survey2D::curlstimestr_
| mutable private

## ◆ lineindex_

IOPar& PosInfo::Survey2D::lineindex_
| private

## ◆ lock_

Threads::Lock PosInfo::Survey2D::lock_
| mutable private

## ◆ lsfp_

FilePath& PosInfo::Survey2D::lsfp_
| private

## ◆ lsindex_

IOPar& PosInfo::Survey2D::lsindex_
| private

## ◆ lsnm_

BufferString PosInfo::Survey2D::lsnm_
| private

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025